
Redmine - Defect #4982

Hard coded English string at the selection of  issue watchers

2010-03-04 06:07 - Yuki Kita

Status: Closed Start date: 2010-03-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

I found a bug that hard coded English string "Please select" is displayed at the selection of issue watchers on a issue form, and tried

to fix it like this.

Now

(redmine/app/views/watchers/_watchers.rhtml :20)

<p><%= f.select :user_id, (watched.addable_watcher_users.collect {|m| [m.name, m.id]}), :prompt =>

 true %>

 ->Revised

(redmine/app/views/watchers/_watchers.rhtml :20)

<p><%= f.select :user_id, (watched.addable_watcher_users.collect {|m| [m.name, m.id]}) %>

or maybe

<p><%= f.select :user_id, (watched.addable_watcher_users.collect {|m| [m.name, m.id]}), :prompt=>l

(:label_please_select) %>

 Regards

Associated revisions

Revision 3541 - 2010-03-04 19:49 - Jean-Philippe Lang

Fixed: hard coded English string at the selection of issue watchers (#4982).

History

#1 - 2010-03-04 19:49 - Jean-Philippe Lang

- Category changed from Issues to Translations

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

Fixed in r3541.

#2 - 2010-03-09 22:02 - Azamat Hackimov

- Status changed from Resolved to Closed
